Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_Immediate_Changes Class Template Reference

Implement the Immediate_Changes strategy. More...

`#include <ESF_Immediate_Changes.h>`

Inheritance diagram for TAO_ESF_Immediate_Changes:

[legend]
Collaboration diagram for TAO_ESF_Immediate_Changes:

[legend]
List of all members.

## Public Methods
| TAO_ESF_Immediate_Changes (void)
| TAO_ESF_Immediate_Changes (const COLLECTION &collection)
virtual void | for_each (TAO_ESF_Worker< PROXY > *worker ACE_ENV_ARG_DECL)
| Iterate over the collection and invoke worker->work() for each member of the collection. More...
virtual void | connected (PROXY *proxy ACE_ENV_ARG_DECL)
| Insert a new element into the collection. The collection assumes ownership of the element. More...
virtual void | reconnected (PROXY *proxy ACE_ENV_ARG_DECL)
| Insert an element into the collection. More...
virtual void | disconnected (PROXY *proxy ACE_ENV_ARG_DECL)
| Remove an element from the collection. More...
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
| The EC is shutting down, must release all the elements. More...
## Private Attributes
COLLECTION | collection_
ACE_LOCK | lock_

## Detailed Description

### template<class PROXY, class COLLECTION, class ITERATOR, class ACE_LOCK>
class TAO_ESF_Immediate_Changes< PROXY, COLLECTION, ITERATOR, ACE_LOCK >

Implement the Immediate_Changes strategy.

## Constructor & Destructor Documentation

template<class PROXY, class C, class ITERATOR, class ACE_LOCK>
TAO_ESF_Immediate_Changes< PROXY, C, ITERATOR, ACE_LOCK >::TAO_ESF_Immediate_Changes | ( | void |  | ) |

template<class PROXY, class C, class ITERATOR, class ACE_LOCK>
TAO_ESF_Immediate_Changes< PROXY, C, ITERATOR, ACE_LOCK >::TAO_ESF_Immediate_Changes | ( | const C & | collection | ) |

## Member Function Documentation

template<class PROXY, class COLLECTION, class ITERATOR, class ACE_LOCK>
void TAO_ESF_Immediate_Changes< PROXY, COLLECTION, ITERATOR, ACE_LOCK >::connected | ( | PROXY *proxy | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Insert a new element into the collection. The collection assumes ownership of the element. Reimplemented from TAO_ESF_Proxy_Collection.

template<class PROXY, class COLLECTION, class ITERATOR, class ACE_LOCK>
void TAO_ESF_Immediate_Changes< PROXY, COLLECTION, ITERATOR, ACE_LOCK >::disconnected | ( | PROXY *proxy | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Remove an element from the collection. Reimplemented from TAO_ESF_Proxy_Collection.

template<class PROXY, class C, class ITERATOR, class ACE_LOCK>
void TAO_ESF_Immediate_Changes< PROXY, C, ITERATOR, ACE_LOCK >::for_each | ( | TAO_ESF_Worker< PROXY > *worker | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Iterate over the collection and invoke worker->work() for each member of the collection. This encapsulates Reimplemented from TAO_ESF_Proxy_Collection.

template<class PROXY, class COLLECTION, class ITERATOR, class ACE_LOCK>
void TAO_ESF_Immediate_Changes< PROXY, COLLECTION, ITERATOR, ACE_LOCK >::reconnected | ( | PROXY *proxy | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Insert an element into the collection. No errors can be raised if the element is already present. The collection assumes ownership, i.e. must invoke <proxy->_decr_refcnt()> if the element is already present in the collection. Reimplemented from TAO_ESF_Proxy_Collection.

template<class PROXY, class COLLECTION, class ITERATOR, class ACE_LOCK>
void TAO_ESF_Immediate_Changes< PROXY, COLLECTION, ITERATOR, ACE_LOCK >::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| The EC is shutting down, must release all the elements. Reimplemented from TAO_ESF_Proxy_Collection.

## Member Data Documentation

template<class PROXY, class COLLECTION, class ITERATOR, class ACE_LOCK>
COLLECTION TAO_ESF_Immediate_Changes::collection_`[private]`

template<class PROXY, class COLLECTION, class ITERATOR, class ACE_LOCK>
ACE_LOCK TAO_ESF_Immediate_Changes::lock_`[private]`

The documentation for this class was generated from the following files:

- ESF_Immediate_Changes.h
- ESF_Immediate_Changes.cpp
- ESF_Immediate_Changes.i